summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/ms-sys/README9
-rw-r--r--system/ms-sys/ms-sys.SlackBuild72
-rw-r--r--system/ms-sys/ms-sys.info10
-rw-r--r--system/ms-sys/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/system/ms-sys/README b/system/ms-sys/README
new file mode 100644
index 0000000000..a5c2ad61a3
--- /dev/null
+++ b/system/ms-sys/README
@@ -0,0 +1,9 @@
+This program is used to create Microsoft compatible boot records.
+It is useful when using Linux to restore a backup of a
+reference Microsoft Windows installation.
+
+Version 2.3.0 added experimental support for NTFS boot record.
+This functionality is mostly useful to identify Windows 7
+NTFS boot records. Writing an NTFS Windows 7 boot record
+will most likely not be of much use.
+(Otherwise excellent for bootable Windows 7 install USB).
diff --git a/system/ms-sys/ms-sys.SlackBuild b/system/ms-sys/ms-sys.SlackBuild
new file mode 100644
index 0000000000..66a33014eb
--- /dev/null
+++ b/system/ms-sys/ms-sys.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for ms-sys
+# Written by cjmx [cj at abysmalstudios mx]
+
+PRGNAM=ms-sys
+VERSION=${VERSION:-2.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#No configure script, setting prefix to /usr
+CFLAGS="$SLKCFLAGS" \
+make PREFIX=/usr install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "sharedobject" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG CONTRIBUTORS COPYING FAQ README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/ms-sys/ms-sys.info b/system/ms-sys/ms-sys.info
new file mode 100644
index 0000000000..6d27668854
--- /dev/null
+++ b/system/ms-sys/ms-sys.info
@@ -0,0 +1,10 @@
+PRGNAM="ms-sys"
+VERSION="2.3.0"
+HOMEPAGE="http://ms-sys.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/ms-sys/ms-sys-2.3.0.tar.gz"
+MD5SUM="46d186707c7767db664afe681f8eaad6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Cj Case"
+EMAIL="cj at abysmalstudios mx"
diff --git a/system/ms-sys/slack-desc b/system/ms-sys/slack-desc
new file mode 100644
index 0000000000..7c27cf2238
--- /dev/null
+++ b/system/ms-sys/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ms-sys: ms-sys (writes Microsoft compatible boot records)
+ms-sys:
+ms-sys: This program is used to create Microsoft compatible boot records.
+ms-sys: It is able to do the same as Microsoft "fdisk /mbr" to a hard disk.
+ms-sys: It is also able to do the same as Microsoft "sys d:" to a floppy or
+ms-sys: FAT partition except that it does not copy any system files, only the
+ms-sys: boot record is written.
+ms-sys:
+ms-sys: The program is useful when using Linux to restore a backup of a
+ms-sys: reference Microsoft Windows installation.
+ms-sys: